Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18
  1. #11

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    Quote Originally Posted by rstevenson View Post
    I've noticed a few other threads in which the differences between configure files pre-1.5.0 and configure files post-1.5.0 were discussed, but I am not sure of what the conclusion was. Hopefully DrByte of someone else knowledgeable will chime in. If they do, I for one would like a specific and clear explanation of the differences, especially the differences in configure.php files that might be found between a site upgraded from 1.3.9 to 1.5.0 and a clean install of 1.5.0.

    Rob
    Hi Rob, per my post to cshearer above:

    The ZC150 fileset does not have the configure.php files in admin/includes or in /includes because they are created during the install. (There are actually dummy files in admin/includes and includes - the name of which are provided in the new install instructions - that you can rename to configure.php before uploading the files to the server. During the new installation process, these files are written to by the installer and all the info needed for them is inserted automatically).
    Conversely, if one is doing an upgrade, they simply copy their config files from the old fileset to the new fileset prior to uploading and running the installer and skip the file-name-changing step that is a part of the process for NEW installations of 150. In the case of an upgrade, the dummy files can either be deleted or left in place because they're just blank files that zc will ignore anyway. They only come in to play if the files are renamed to configure.php for a NEW install.

    Hope that helps :)
    Last edited by ScriptJunkie; 2 May 2012 at 04:34 PM.
    Go that extra mile, you never know what's at the end of the road

    Empowerment Sanctuary

  2. #12
    Join Date
    May 2012
    Posts
    7
    Plugin Contributions
    0

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    OK - thanks for the clarification - I appreciate it!

  3. #13

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    Quote Originally Posted by cshearer View Post
    OK - thanks for the clarification - I appreciate it!
    You're very welcome :)
    Go that extra mile, you never know what's at the end of the road

    Empowerment Sanctuary

  4. #14
    Join Date
    May 2012
    Posts
    7
    Plugin Contributions
    0

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    After running the upgrade the only thing I had to struggle with was getting an error message when trying to login to the admin page - the correct 1.5 login page was displayed but after putting in user/pass, it kept giving an 404 error that zc_admin not found. Then I realized I had to go into the /admin/includes/configure.php file and change the admin folder name myself. And, of course, I renamed the /admin/ folder as instructed also :)

    Other than that, was really easy!

    Thank you all so much - I now have a working version of 1.5 - yippeee!

  5. #15
    Join Date
    Jul 2005
    Location
    Upstate NY
    Posts
    21,829
    Plugin Contributions
    25

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    That's an interesting gotcha with new versions of Zen Cart - the admin renaming is enforced, but when you have done it, the link to admin from the final installer page no longer leads to the correct destination. This could probably be rectified by having the new admin name set in the install process, but maybe that's a security risk. It might also not be possible on some servers, depending on local configuration. This is similar to renaming the dist_configure files - the installer will try to do it and usually succeed, but the manual instructions are given so those who have to can do it themselves.

  6. #16
    Join Date
    Jan 2007
    Location
    Los Angeles, California, United States
    Posts
    8,419
    Plugin Contributions
    30

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    Quote Originally Posted by rstevenson View Post
    I added that bit about copying the configure files to your local drive because I thought you might need a few details that were in them. Certainly your 1.3.9h install should have had an includes/configure.php and an admin/includes/configure.php file. (It's not the configuration.php file you want.)

    I've noticed a few other threads in which the differences between configure files pre-1.5.0 and configure files post-1.5.0 were discussed, but I am not sure of what the conclusion was. Hopefully DrByte of someone else knowledgeable will chime in. If they do, I for one would like a specific and clear explanation of the differences, especially the differences in configure.php files that might be found between a site upgraded from 1.3.9 to 1.5.0 and a clean install of 1.5.0.

    Rob
    I noticed this difference too and have changed the way I do upgrades so that I get the v1.5 flavor of the configure.php files versus copying over my old v1.39 configure.php files.

    I install a vanilla version of Zen Cart v1.5. Then I overwrite the DB with my old DB, and run the upgrade process to upgrade the DB. This way I end up with a converted site with the new flavor of the configure.php files in place.

    Arguably, I don't know what all the differences in these files mean though mean though.. I do know that one BIG difference I noticed is that there appears to be code to auto-detect your re-named admin name.. I personally like this since it appears to allow me to change the admin directory name if I need/desire without having to update the configure.php file afterwards.. (I say appears as I need to test this)

    That said I too would like to hear more from DrByte or others on the significant differences between the v1.39 vs v1/5 flavors of the configure.php files.
    My Site
    I don't answer support questions via PM. Post add-on support questions in the support thread. The question & the answer will benefit others with similar issues.

  7. #17
    Join Date
    Jul 2005
    Location
    Upstate NY
    Posts
    21,829
    Plugin Contributions
    25

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    I don't know all of the differences, but the auto-detect code does indeed adapt to whatever you have (re)named your admin folder without you having to touch the configure.php file.

  8. #18
    Join Date
    Jan 2007
    Location
    Los Angeles, California, United States
    Posts
    8,419
    Plugin Contributions
    30

    Default Re: upgrading a new installation of version 1.3.9 to 1.5

    Quote Originally Posted by gjh42 View Post
    I don't know all of the differences, but the auto-detect code does indeed adapt to whatever you have (re)named your admin folder without you having to touch the configure.php file.
    Thanks for confirming this..
    My Site
    I don't answer support questions via PM. Post add-on support questions in the support thread. The question & the answer will benefit others with similar issues.

 

 
Page 2 of 2 FirstFirst 12

Similar Threads

  1. Upgrading to new version, quick question for the pros...
    By joyjoy in forum Upgrading from 1.3.x to 1.3.9
    Replies: 4
    Last Post: 15 Oct 2010, 10:10 AM
  2. Error when upgrading to new version through Softaculous
    By annav in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 9 Oct 2010, 06:07 PM
  3. White page on new installation version v1.3.9c
    By bgregoire in forum Installing on a Linux/Unix Server
    Replies: 8
    Last Post: 26 Jul 2010, 08:33 PM
  4. upgrading to new version
    By geovino in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 28 Jun 2007, 06:59 PM
  5. upgrading to the new version
    By op913chad in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 8 Dec 2006, 04:50 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •